### Constructor

# Gimp Unit new

#### Declaration [src]

    GimpUnit*
    gimp_unit_new (
      const gchar* name,
      gdouble factor,
      gint digits,
      const gchar* symbol,
      const gchar* abbreviation
    )

#### Description [src]

Creates a new unit.

This procedure creates a new unit and returns it. Note that the new unit will have it’s deletion flag set to TRUE, so you will have to set it to FALSE with `gimp_unit_set_deletion_flag()` to make it persistent.

#### Parameters

`name`

  Type: `const gchar*`

  The new unit’s name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`factor`

  Type: `gdouble`

  The new unit’s factor.

`digits`

  Type: `gint`

  The new unit’s digits.

`symbol`

  Type: `const gchar*`

  The new unit’s symbol.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`abbreviation`

  Type: `const gchar*`

  The new unit’s abbreviation.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GimpUnit`

The new unit.

The data is owned by the called function.